restinio::easy_parser::impl::hexadecimal_number_producer_t< T > Class Template Reference

A producer for the case when a number in hexadecimal form is expected in the input stream. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::hexadecimal_number_producer_t< T >:

## Public Member Functions

RESTINIO_NODISCARD expected_t< T, parse_error_t > | try_parse (source_t &from) const noexcept

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< T >
using | result_type = T
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< T >
static constexpr entity_type_t | entity_type

## Detailed Description

template<typename T>
class restinio::easy_parser::impl::hexadecimal_number_producer_t< T >

A producer for the case when a number in hexadecimal form is expected in the input stream.

In the case of success returns the extracted number.

Since
  v.0.6.6

Definition at line 2632 of file easy_parser.hpp.

## Member Function Documentation

## try_parse()

template<typename T >

RESTINIO_NODISCARD expected_t< T, parse_error_t > restinio::easy_parser::impl::hexadecimal_number_producer_t< T >::try_parse | ( | source_t & | from | ) | const

inlinenoexcept

Definition at line 2640 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp